CREATE TABLE IF NOT EXISTS 'apn_settings' (
	'id' INTEGER PRIMARY KEY AUTOINCREMENT,
	'apn_id' BIGINT UNIQUE ON CONFLICT REPLACE,
	'access_point_name' TEXT,
	'apn' TEXT,
	'mcc' INTEGER DEFAULT -1,
	'mnc' INTEGER DEFAULT -1,
	'user_name' TEXT,
	'server' TEXT,
	'password' TEXT,
	'proxy' TEXT,
	'port' INTEGER DEFAULT -1,
	'mmsproxy' TEXT,
	'mmsport' INTEGER DEFAULT -1,
	'mmsc' TEXT,
	'apn_type' INTEGER DEFAULT -1,
	'auth_type' INTEGER DEFAULT -1,
	'apn_protocol' INTEGER DEFAULT -1,
	'roaming_protocol' INTEGER DEFAULT -1,
	'network_type_bitmask' INTEGER DEFAULT -1,
	'carrier_enabled' BOOLEAN DEFAULT -1,
	'mvno_type' INTEGER DEFAULT -1,
	'mvno_match_data' TEXT,
	'bearer' TEXT,
	'device_apn_id' BIGINT DEFAULT -1);

